CampaignsCampaign Delivery Status

Campaign Delivery Status

Get the current pacing/delivery status of a campaign (budget spent, impressions delivered vs. goal, pacing state).

curl -X GET "https://api.5centscdn.com/v2/ad-manager/101/campaigns/cmp_4c19/delivery" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "delivery": {
    "status": "ended",
    "expected_delivery_percent": 100,
    "actual_delivery_percent": 0,
    "impression_goal": 50000,
    "delivered_impressions": 0,
    "remaining_impressions": 50000,
    "today_impressions": 0,
    "daily_impression_cap": 500,
    "budget_spent_micros": 0,
    "budget_remaining_micros": 0,
    "pacing_mode": "asap"
  }
}
GET
/ad-manager/{pid}/campaigns/{cid}/delivery
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
pidinteger
Required

ID of the Ad Manager project.

path
cidstring
Required

ID of the campaign.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

pidinteger
Required

ID of the Ad Manager project.

Example:
101
cidstring
Required

ID of the campaign.

Example:
cmp_4c19

Responses

resultstring

Operation outcome.

Allowed values:successerror
deliveryobject

Delivery/pacing status fields for the campaign. Varies by campaign type and pricing model.